Name: docbook-dtds
Version: 1.0
Release: 1
Group: Applications/Text
Summary: SGML and XML document type definitions for DocBook.
License: Distributable
URL: http://www.oasis-open.org/docbook/

Provides: docbook-dtd-sgml docbook-dtd30-sgml docbook-dtd31-sgml docbook-dtd40-sgml docbook-dtd41-sgml
Provides: docbook-dtd42-sgml docbook-dtd43-sgml docbook-dtd44-sgml docbook-dtd42-xml  docbook-dtd412-xml
Provides: docbook-dtd-xml docbook-dtd43-xml docbook-dtd44-xml docbook-style-xsl >= 1.70.1 docbook-xsl >= 1.70.1
Provides: docbook-dsssl >= 1.79
BuildRequires: openjade

BuildRoot: %{_tmppath}/%{name}-%{version}

Source0: http://www.oasis-open.org/docbook/sgml/3.0/docbk30.zip
Source1: http://www.oasis-open.org/docbook/sgml/3.1/docbk31.zip
Source2: http://www.oasis-open.org/docbook/sgml/4.0/docbk40.zip
Source3: http://www.oasis-open.org/docbook/sgml/4.1/docbk41.zip
Source4: http://www.oasis-open.org/docbook/xml/4.1.2/docbkx412.zip
Source5: http://www.oasis-open.org/docbook/sgml/4.2/docbook-4.2.zip
Source6: http://www.oasis-open.org/docbook/xml/4.2/docbook-xml-4.2.zip
Source7: http://www.docbook.org/sgml/4.3/docbook-4.3.zip
Source8: http://www.docbook.org/xml/4.3/docbook-xml-4.3.zip
Source9: http://www.docbook.org/sgml/4.4/docbook-4.4.zip
Source10: http://www.docbook.org/xml/4.4/docbook-xml-4.4.zip
Source11: docbook-xsl-1.70.1.tar.bz2
Source12: catalog.xml
Source13: docbook-dsssl-1.79.tar.bz2
Patch0: docbook-dtd30-sgml-1.0.catalog.patch
Patch1: docbook-dtd31-sgml-1.0.catalog.patch
Patch2: docbook-dtd40-sgml-1.0.catalog.patch
Patch3: docbook-dtd41-sgml-1.0.catalog.patch
Patch4: docbook-dtd42-sgml-1.0.catalog.patch
Patch5: docbook-4.2-euro.patch

%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This package contains SGML and XML versions of the DocBook DTD.

Put in /etc/profile:
export XML_CATALOG_FILES="/usr/share/sgml/docbook/docbook-xsl/catalog.xml /etc/xml/catalog"


%prep
%setup -c -T
# DocBook V3.0
mkdir 3.0-sgml
cd 3.0-sgml
unzip %{SOURCE0}
patch -b docbook.cat %{PATCH0}
cd ..

# DocBook V3.1
mkdir 3.1-sgml
cd 3.1-sgml
unzip %{SOURCE1}
patch -b docbook.cat %{PATCH1}
cd ..

# DocBook V4.0
mkdir 4.0-sgml
cd 4.0-sgml
unzip %{SOURCE2}
patch -b docbook.cat %{PATCH2}
cd ..

# DocBook V4.1
mkdir 4.1-sgml
cd 4.1-sgml
unzip %{SOURCE3}
patch -b docbook.cat %{PATCH3}
cd ..

# DocBook XML V4.1.2
mkdir 4.1.2-xml
cd 4.1.2-xml
unzip %{SOURCE4}
cd ..

# DocBook V4.2
mkdir 4.2-sgml
cd 4.2-sgml
unzip %{SOURCE5}
patch -b docbook.cat %{PATCH4}
cd ..

# DocBook XML V4.2
mkdir 4.2-xml
cd 4.2-xml
unzip %{SOURCE6}
cd ..

# DocBook V4.3
mkdir 4.3-sgml
cd 4.3-sgml
unzip %{SOURCE7}
cd ..

# DocBook XML V4.3
mkdir 4.3-xml
cd 4.3-xml
unzip %{SOURCE8}
cd ..

# DocBook V4.4
mkdir 4.4-sgml
cd 4.4-sgml
unzip %{SOURCE9}
cd ..

# DocBook XML V4.4
mkdir 4.4-xml
cd 4.4-xml
unzip %{SOURCE10}
cd ..

# Fix &euro; in SGML.
%patch5 -p1

if [ `id -u` -eq 0 ]; then
  chown -R root:root .
  chmod -R a+rX,g-w,o-w .
fi


%build


%install
rm -rf $RPM_BUILD_ROOT

# DocBook V3.0
cd 3.0-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-3.0-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook V3.1
cd 3.1-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-3.1-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook V4.0
cd 4.0-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-4.0-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook V4.1
cd 4.1-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-4.1-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook XML V4.1.2
cd 4.1.2-xml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/xml-dtd-4.1.2-%{version}-%{release}
mkdir -p $DESTDIR/ent
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
install ent/* $DESTDIR/ent
cd ..

# DocBook V4.2
cd 4.2-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-4.2-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook XML V4.2
cd 4.2-xml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/xml-dtd-4.2-%{version}-%{release}
mkdir -p $DESTDIR/ent
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
install ent/* $DESTDIR/ent
cd ..

# DocBook V4.3
cd 4.3-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-4.3-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook XML V4.3
cd 4.3-xml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/xml-dtd-4.3-%{version}-%{release}
mkdir -p $DESTDIR/ent
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
install ent/* $DESTDIR/ent
cd ..

# DocBook V4.4
cd 4.4-sgml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/sgml-dtd-4.4-%{version}-%{release}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
cd ..

# DocBook XML V4.4
cd 4.4-xml
DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/docbook/xml-dtd-4.4-%{version}-%{release}
mkdir -p $DESTDIR/ent
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR
install ent/* $DESTDIR/ent
cd ..

# Symlinks
mkdir -p $RPM_BUILD_ROOT/etc/sgml
ln -s sgml-docbook-4.4-%{version}-%{release}.cat \
	$RPM_BUILD_ROOT/etc/sgml/sgml-docbook.cat
ln -s xml-docbook-4.4-%{version}-%{release}.cat \
	$RPM_BUILD_ROOT/etc/sgml/xml-docbook.cat


tar xjpf %{SOURCE11} -C $RPM_BUILD_ROOT/usr/share/sgml/docbook/; ln -s docbook-xsl-1.70.1 $RPM_BUILD_ROOT/usr/share/sgml/docbook/docbook-xsl
cp %{SOURCE12} $RPM_BUILD_ROOT/usr/share/sgml/docbook/docbook-xsl-1.70.1
tar xjpf %{SOURCE13} -C $RPM_BUILD_ROOT/usr/share/sgml/docbook/; ln -s docbook-dsssl-1.79 $RPM_BUILD_ROOT/usr/share/sgml/docbook/docbook-dsssl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc --parents 3.1-sgml/ChangeLog
%doc --parents 4.1-sgml/ChangeLog
%doc --parents */*.txt
/usr/share/sgml/docbook/sgml-dtd-3.0-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-3.1-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-4.0-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-4.1-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-4.2-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-4.3-%{version}-%{release}
/usr/share/sgml/docbook/sgml-dtd-4.4-%{version}-%{release}
/usr/share/sgml/docbook/xml-dtd-4.1.2-%{version}-%{release}
/usr/share/sgml/docbook/xml-dtd-4.2-%{version}-%{release}
/usr/share/sgml/docbook/xml-dtd-4.3-%{version}-%{release}
/usr/share/sgml/docbook/xml-dtd-4.4-%{version}-%{release}
/etc/sgml/sgml-docbook.cat
/etc/sgml/xml-docbook.cat

/usr/share/sgml/docbook/docbook-xsl-1.70.1
/usr/share/sgml/docbook/docbook-xsl
/usr/share/sgml/docbook/docbook-dsssl-1.79
/usr/share/sgml/docbook/docbook-dsssl

%post
## Clean up pre-docbook-dtds mess caused by broken trigger.
for v in 3.0 3.1 4.0 4.1 4.2
do
	if [ -f /etc/sgml/sgml-docbook-$v.cat ]
	then
		/usr/bin/xmlcatalog --sgml --noout --del \
			/etc/sgml/sgml-docbook-$v.cat \
			/usr/share/sgml/openjade-1.3.1/catalog 2>/dev/null
	fi
done

##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# DocBook V3.0
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-3.0-%{version}-%{release}/catalog

# DocBook V3.1
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-3.1-%{version}-%{release}/catalog

# DocBook V4.0
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-4.0-%{version}-%{release}/catalog

# DocBook V4.1
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-4.1-%{version}-%{release}/catalog

# DocBook XML V4.1.2
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/xml-dtd-4.1.2-%{version}-%{release}/catalog

# DocBook V4.2
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-4.2-%{version}-%{release}/catalog

# DocBook XML V4.2
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/xml-dtd-4.2-%{version}-%{release}/catalog

# DocBook V4.3
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-4.3-%{version}-%{release}/catalog

# DocBook XML V4.3
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/xml-dtd-4.3-%{version}-%{release}/catalog

# DocBook V4.4
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/sgml-dtd-4.4-%{version}-%{release}/catalog

# DocBook XML V4.4
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/xml-dtd-4.4-%{version}-%{release}/catalog

# The following lines are for the case in which the style sheets
# were installed after another DTD but before this DTD
STYLESHEETS=$(echo /usr/share/sgml/docbook/dsssl-stylesheets-*)
STYLESHEETS=${STYLESHEETS##*/dsssl-stylesheets-}
if [ "$STYLESHEETS" != "*" ]; then
    # DocBook V3.0
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V3.1
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.0
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.1
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.1.2
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.2
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.2
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.3
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.3
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook V4.4
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog

    # DocBook XML V4.4
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/openjade-%{openjadever}/catalog
    /usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat \
	/usr/share/sgml/docbook/dsssl-stylesheets-$STYLESHEETS/catalog
fi

# Fix up SGML super catalog so that there isn't an XML DTD before an
# SGML one.  We need to do this (*sigh*) because xmlcatalog messes up
# the order of the lines, and SGML tools don't like to see XML things
# they aren't expecting.
CATALOG=/etc/sgml/catalog
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]
then
  # Switch those two lines around.
  XML=$((XML - 1))
  SGML=$((SGML - 1))
  perl -e "@_=<>;@_[$XML, $SGML]=@_[$SGML, $XML];print @_" \
    ${CATALOG} > ${CATALOG}.rpmtmp
  mv -f ${CATALOG}.rpmtmp ${CATALOG}
fi

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

if [ -w $CATALOG ]
then
	# DocBook XML V4.1.2
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.1.2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.1.2" \
		"xml-dtd-4.1.2-%{version}-%{release}" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.1.2" \
		"xml-dtd-4.1.2-%{version}-%{release}" $CATALOG

	# DocBook XML V4.2
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"xml-dtd-4.2-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.2" \
		"xml-dtd-4.2-%{version}-%{release}" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.2" \
		"xml-dtd-4.2-%{version}-%{release}" $CATALOG

	# DocBook XML V4.3
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"xml-dtd-4.3-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.3//EN" \
		"xml-dtd-4.3-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.3" \
		"xml-dtd-4.3-%{version}-%{release}" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.3" \
		"xml-dtd-4.3-%{version}-%{release}" $CATALOG

	# DocBook XML V4.4
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Publishing//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Letters//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Information Pool V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Character Entities V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Notations V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ENTITIES DocBook XML Additional General Entities V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES General Technical//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
		"xml-dtd-4.4-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"-//OASIS//DTD DocBook XML CALS Table Model V4.4//EN" \
		"xml-dtd-4.4-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "public" \
		"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
		"http://www.oasis-open.org/docbook/xml/4.4" \
		"xml-dtd-4.4-%{version}-%{release}" $CATALOG
	/usr/bin/xmlcatalog --noout --add "rewriteURI" \
		"http://www.oasis-open.org/docbook/xml/4.4" \
		"xml-dtd-4.4-%{version}-%{release}" $CATALOG
fi

# Finally, make sure everything in /etc/sgml is readable!
/bin/chmod a+r /etc/sgml/*

%postun
##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# DocBook V3.0
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-3.0-%{version}-%{release}.cat

# DocBook V3.1
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-3.1-%{version}-%{release}.cat

# DocBook V4.0
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-4.0-%{version}-%{release}.cat

# DocBook V4.1
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-4.1-%{version}-%{release}.cat

# DocBook XML V4.1.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat
rm -f /etc/sgml/xml-docbook-4.1.2-%{version}-%{release}.cat

# DocBook V4.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-4.2-%{version}-%{release}.cat

# DocBook XML V4.2
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat
rm -f /etc/sgml/xml-docbook-4.2-%{version}-%{release}.cat

# DocBook V4.3
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-4.3-%{version}-%{release}.cat

# DocBook XML V4.3
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat
rm -f /etc/sgml/xml-docbook-4.3-%{version}-%{release}.cat

# DocBook V4.4
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat
rm -f /etc/sgml/sgml-docbook-4.4-%{version}-%{release}.cat

# DocBook XML V4.4
/usr/bin/xmlcatalog --sgml --noout --del /etc/sgml/catalog \
	/etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat
rm -f /etc/sgml/xml-docbook-4.4-%{version}-%{release}.cat

# Fix up SGML super catalog so that there isn't an XML DTD before an
# SGML one.  We need to do this (*sigh*) because xmlcatalog messes up
# the order of the lines, and SGML tools don't like to see XML things
# they aren't expecting.
CATALOG=/etc/sgml/catalog
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]
then
  # Switch those two lines around.
  XML=$((XML - 1))
  SGML=$((SGML - 1))
  perl -e "@_=<>;@_[$XML, $SGML]=@_[$SGML, $XML];print @_" \
    ${CATALOG} > ${CATALOG}.rpmtmp
  mv -f ${CATALOG}.rpmtmp ${CATALOG}
fi

##
## XML catalog
##

CATALOG=/usr/share/sgml/docbook/xmlcatalog

if [ -w $CATALOG ]
then
	# DocBook XML V4.1.2
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.1.2-%{version}-%{release}" $CATALOG

	# DocBook XML V4.2
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.2-%{version}-%{release}" $CATALOG

	# DocBook XML V4.3
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.3-%{version}-%{release}" $CATALOG

	# DocBook XML V4.4
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-pub.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/dbpoolx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-box.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/docbookx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk3.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsn.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-num.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/dbcentx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk4.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/dbnotnx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-dia.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-grk2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/dbgenent.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/dbhierx.mod" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsa.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amso.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-cyrl.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-tech.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsc.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/soextblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/calstblx.dtd" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-lat1.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsb.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-lat2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-amsr.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}/ent/iso-cyr2.ent" $CATALOG
	/usr/bin/xmlcatalog --noout --del \
		"xml-dtd-4.4-%{version}-%{release}" $CATALOG
fi
